petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsReject

Generates an error if a certain option is given.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsReject(PetscOptions options,const char name[],const char mess[])

Not Collective, but setting values on certain processors could cause problems Many brfor parallel objects looking for options. Many br

### Input Parameters

| options | - options database use NULL for default global database Many br
| name | - the option one is seeking Many br
| mess | - error message (may be NULL) Many br

Many br

### See Also

PetscOptionsGetInt(), PetscOptionsGetReal(),OptionsHasName(),
PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool(), Many brPetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), Many brPetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), Many brPetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), Many brPetscOptionsFList(), PetscOptionsEList() Many br

Level:advanced
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages